## deepin-camera 1.0.0.15

=== debian/changelog ===
deepin-camera (1.0.0.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 Nov 2020 11:30:27 +0800

deepin-camera (1.0.0.8) unstable; urgency=low

  * Initial release 

 -- Cetu Shi <shicetu@uniontech.com>  Wed, 24 Feb 2016 14:15:54 +0800
