=== debian/control ===
Source: deepin-camera
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>=9),
 pkg-config,qtbase5-dev,libdtkgui-dev,libdtkwidget-dev,
 libavutil-dev, libavformat-dev, libavcodec-dev,libavfilter-dev,
 qttools5-dev-tools,deepin-gettext-tools,libdframeworkdbus-dev,
 libv4l-dev,libsdl2-dev,portaudio19-dev,libpng-dev,libasound2-dev,
 libusb-1.0-0-dev,zlib1g-dev,libudev-dev,libswscale-dev,libswresample-dev,libffmpegthumbnailer-dev,
 libx11-dev,libva-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-camera
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dde-api
Description: This package software for  UOS
 This package is a tool to view camera, and also a smart take photo and video in life.
