## deepin-camera 1.3.5

=== debian/changelog ===
deepin-camera (1.3.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 23 Dec 2021 17:52:43 +0800

deepin-camera (1.0.0-1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2016 14:15:54 +0800
