## deepin-camera 1.3.9

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -81,7 +81,7 @@
 
 pkg_check_modules(3rd_lib REQUIRED
         dtkgui
-        dtkwidget
+        dtkwidget gstreamer-1.0 gstreamer-app-1.0
 #        libv4l2
 #        libudev
 #        libusb-1.0
