=== debian/changelog ===
deepin-camera (1.3.9-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 May 2022 10:20:24 +0800
