=== debian/changelog ===
deepin-camera (1.3.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 24 May 2022 11:31:26 +0800
