=== debian/changelog ===
deepin-camera (1.4.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 13 Jun 2022 17:24:23 +0800
