## deepin-camera 1.4.5

=== selinux/Makefile ===
TARGET?=deepin-camera
MODULES?=${TARGET:=.pp.bz2}
SHARE?=/usr/share

all: ${TARGET:=.pp.bz2}

%.pp.bz2: %.pp
	@echo Compressing $^ -\> $@
	bzip2 -9 $^

%.pp: %.te
	make -f ${SHARE}/selinux/devel/Makefile $@

clean:
	rm -f *~  *.tc *.pp *.pp.bz2
	rm -rf tmp *.tar.gz
