=== debian/changelog ===
deepin-camera (1.4.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:40:06 +0800

deepin-camera (2.0.0) unstable; urgency=medium

  * New version 2.0.0

 -- fengli <fengli@uniontech.com>  Tue, 13 Jul 2022 10:03:54 +0800
