=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 # 设置工程名字
 project(deepin-camera-test VERSION 1.0.0)
@@ -74,6 +77,8 @@
     ./stub/*.hpp
     )
 file (GLOB_RECURSE RESOURCES  ../src/assets/assets.qrc)
+
+configure_file(../src/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)
 
 add_executable( ${TARGET_NAME} ${CXXSOURCES} ${CSOURCES} ${RESOURCES}
     )
