=== debian/changelog ===
deepin-camera (1.4.9-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 14:18:26 +0800

deepin-camera (1.4.9) unstable; urgency=medium

  * New version 1.4.9

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 07 Feb 2023 17:56:54 +0800
