=== debian/changelog ===
deepin-camera (6.0.11) unstable; urgency=medium

  * tag 6.0.11 

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 08 Aug 2024 13:56:32 +0800

deepin-camera (6.0.10) unstable; urgency=medium

  * tag 6.0.10

 -- shuaijie <shuaijie@uniontech.com>  Sun, 28 Apr 2024 10:41:02 +0800

deepin-camera (6.0.9) unstable; urgency=medium

  * Update version to 6.0.9(No code changes!)

 -- lijiaxuan <lijiaxuan@uniontech.com>  Fri, 12 Apr 2024 15:26:02 +0800

deepin-camera (6.0.8) unstable; urgency=medium

  * tag 6.0.8

 -- shuaijie <shuaijie@uniontech.com>  Tue, 09 Apr 2024 16:12:13 +0800

deepin-camera (6.0.7) unstable; urgency=medium

  * fix: Fix the issue of crashing when connecting to a USB camera or a laptop with a built-in camera in v23 and starting the camera(Bug: 238775)
  * fix: modify the default video format for recording to webm 2nd(Bug: 237059)

 -- houchengqiu <houchengqiu@uniontech.com>  Tue, 27 Feb 2024 13:54:19 +0800

deepin-camera (6.0.6) unstable; urgency=medium

  * tag 6.0.6 

 -- fengli <fengli@uniontech.com>  Wed, 03 Jan 2024 16:12:13 +0800

deepin-camera (6.0.5) unstable; urgency=medium

  * fix: modify the default video format for recording to webm
  * fix: Resolve the issue of camera icons not being visible in the
    help manual

 -- fengli <fengli@uniontech.com>  Fri, 22 Dec 2023 10:16:55 +0800

deepin-camera (6.0.4) unstable; urgency=medium

  * fix: static image appears blow when opening the camera
  * fix: quick click on satrt/end button during high-resolution recording
    causing crash
  * fix: determine single instance execution through DTK interface 

 -- fengli <fengli@uniontech.com>  Wed, 06 Dec 2023 13:22:50 +0800

deepin-camera (6.0.3) unstable; urgency=medium

  * Merge release/eagle branch changes into the master branch.
  * Fix some bugs: 198571 198939 200273 207319 217973

 -- renbin <renbin@uniontech.com>  Fri, 13 Oct 2023 16:18:50 +0800

deepin-camera (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- shuaijie <shuaijie@uniontech.com>  Fri, 10 March 2023 16:21:00 +0800

deepin-camera (6.0.1) unstable; urgency=medium

  * New version 6.0.1 

 -- muyuankai <muyuankai@uniontech.com>  Mon, 13 Jun 2022 10:40:00 +0800
