## deepin-camera 6.5.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,19 +11,11 @@
 project(deepin-camera VERSION 1.0.0)
 set(CMD_NAME deepin-camera)
 set(TARGET_NAME deepin-camera)
-find_package(DWayland)
-find_package(KF5Wayland)
-if (NOT DWayland_FOUND)
-    if (${KF5Wayland_VERSION} VERSION_GREATER 5.54.1)
-        option(USE_DEEPIN_WAYLAND "option for wayland support" ON)
-    endif()
-else()
-    option(USE_DEEPIN_WAYLAND "option for wayland support" ON)
-endif()
+
 #option (__mips__ "Use UNITTEST" ON)
 
 # cube文件目录，libvisualresult在打包时，会自动将cube文件安装到share目录下
-set(LUT_DIR "/usr/share/libimagevisualresult/filter_cube")
+set(LUT_DIR "${CMAKE_INSTALL_PREFIX}/share/libimagevisualresult/filter_cube")
 add_definitions(-DLUT_DIR="${LUT_DIR}")
 
 # 判断系统环境
@@ -34,6 +26,10 @@
 if (MAJOR_VERSION MATCHES "23")
     message("--------------------- OS_BUILD_V23 on")
     add_definitions(-DOS_BUILD_V23)
+elseif(MAJOR_VERSION MATCHES "25")
+    message("--------------------- OS_BUILD_V25 on")
+    option(USE_DEEPIN_V25 "option for v25 support" ON)
+    add_definitions(-DOS_BUILD_V25)
 endif()
 
 include(GNUInstallDirs)
@@ -41,8 +37,13 @@
     set(CMAKE_INSTALL_PREFIX /usr)
 endif ()
 
-if (USE_DEEPIN_WAYLAND)
-  add_definitions("-DUSE_DEEPIN_WAYLAND")
+if(DEFINED LINGLONG_BUILD_ON)
+    # 玲珑构建编译开关
+    add_definitions(-DLINGLONG_BUILD)
+    include_directories(/runtime/include)
+    message(STATUS "LINGLONG_BUILD is ON")
+else()
+    message(STATUS "LINGLONG_BUILD is OFF")
 endif()
 
 # 加速编译优化参数
@@ -73,8 +74,8 @@
     ./src/qtsingleapplication
     ./src/accessibility
     ./src/accessible
-    /usr/include
-    /usr/include/libusb-1.0
+    ${CMAKE_INSTALL_PREFIX}/include
+    ${CMAKE_INSTALL_PREFIX}/include/libusb-1.0
     )
     
 # 设置Qt模块
@@ -85,15 +86,7 @@
 find_package(PkgConfig REQUIRED)
 
 include(FindPkgConfig)
-if (USE_DEEPIN_WAYLAND)
-    if (DWayland_FOUND)
-        message("DWayland founded.")
-        add_definitions(-DDWAYLAND)
-    elseif(KF5Wayland_FOUND)
-        message("KF5Wayland founded.")
-        add_definitions(-DKF5WAYLAND)
-    endif()
-endif()
+
 
 file (GLOB_RECURSE CXXSOURCES
     ./src/*.cpp
@@ -132,7 +125,7 @@
 #        libpulse
 #        libswresample
         )
-list(APPEND PROJECT_INCLUDE /usr/include/glib-2.0 /usr/include/gstreamer-1.0)
+list(APPEND PROJECT_INCLUDE ${CMAKE_INSTALL_PREFIX}/include/glib-2.0 ${CMAKE_INSTALL_PREFIX}/include/gstreamer-1.0)
 
 # 添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)
 
@@ -156,14 +149,6 @@
 # 设置不删除生成的文件夹内容文件
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
 
-if (USE_DEEPIN_WAYLAND)
-    if (DWayland_FOUND)
-        set(LIBS DWaylandClient DWaylandServer)
-    else()
-        message("KF5 environment")
-        set(LIBS KF5::WaylandClient KF5::WaylandServer)
-    endif()
-endif()
 
 add_executable( ${TARGET_NAME} ${CXXSOURCES} ${CSOURCES} ${RESOURCES} ${QM} )
 
@@ -176,7 +161,7 @@
     ${LIBS}
     )
 
-include_directories("/usr/include")
+include_directories("${CMAKE_INSTALL_PREFIX}/include")
 
 # 将工程与Qt模块链接起来
 qt5_use_modules(${TARGET_NAME} ${QtModule})
