=== debian/changelog ===
deepin-camera (6.5.5) unstable; urgency=medium

  *Fix compact mode adaptation problem 

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 08 Nov 2024 13:30:48 +0800

deepin-camera (6.5.4) unstable; urgency=medium

  * remove kwayland-shell env

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 16:54:40 +0800

deepin-camera (6.5.3) unstable; urgency=medium

  * chore: Update linglong build script.

 -- wangrong <wangrong@uniontech.com>  Sat, 19 Oct 2024 15:24:32 +0800

deepin-camera (6.5.2) unstable; urgency=medium

  * chore: linglong package slimming.

 -- wangrong <wangrong@uniontech.com>  Fri, 18 Oct 2024 13:02:23 +0800

deepin-camera (6.5.1) unstable; urgency=medium

  * tag 6.5.1
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-camera (6.5.0) unstable; urgency=medium

  * tag 6.5.0 

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 21 Aug 2024 14:52:33 +0800
