## deepin-camera 6.5.20

=== debian/changelog ===
deepin-camera (6.5.20) unstable; urgency=medium

  * Update version to 6.5.20.

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 11:13:34 +0800

deepin-camera (6.5.19) unstable; urgency=medium

  * Fix linglong build fail

 -- wangrong <wangrong@uniontech.com>  Thu, 17 Apr 2025 20:00:21 +0800

deepin-camera (6.5.18) unstable; urgency=medium

  * Update version to 6.5.18. 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 17 Apr 2025 13:41:30 +0800

deepin-camera (6.5.17) unstable; urgency=medium

  * Update version to 6.5.17

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Apr 2025 16:35:23 +0800

deepin-camera (6.5.16) unstable; urgency=medium

  * [deepin-camera] Updates for project Deepin Camera (#363)

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:47:08 +0800

deepin-camera (6.5.15) unstable; urgency=medium

  * refactor: remove unnecessary shell command from Camera service file (#359)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:53:27 +0800

deepin-camera (6.5.14) unstable; urgency=medium

  * Bump version to 6.5.14

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:50:06 +0800

deepin-camera (6.5.13) unstable; urgency=medium

  * Update version to 6.5.13
  * Update linglong.yaml for new base

 -- wangrong <wangrong@uniontech.com>  Tue, 18 Feb 2025 16:38:49 +0800

deepin-camera (6.5.12) unstable; urgency=medium

  * Update version to 6.5.12

 -- wangrong <wangrong@uniontech.com>  Fri, 07 Feb 2025 13:08:27 +0800

deepin-camera (6.5.11) unstable; urgency=medium

  * Update version to 6.5.11
  * Update linglong.yaml for qt6.8 runtime

 -- wangrong <wangrong@uniontech.com>  Thu, 23 Jan 2025 19:06:25 +0800

deepin-camera (6.5.10) unstable; urgency=medium

  * chore: New version 6.5.10.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 20 Jan 2025 11:48:46 +0800

deepin-camera (6.5.9) unstable; urgency=medium

  * chore: New version 6.5.9.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 13:32:52 +0800

deepin-camera (6.5.8) unstable; urgency=medium

  * Update version to 6.5.8

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 14:25:26 +0800

deepin-camera (6.5.7) unstable; urgency=medium

  * Update version to 6.5.7

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:40:11 +0800

deepin-camera (6.5.6) unstable; urgency=medium

  * chore: update linglong version

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 13:38:19 +0800
