## deepin-camera 6.5.23

=== debian/changelog ===
deepin-camera (6.5.23) unstable; urgency=medium

  * fix: Update camera markdown formatting

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 24 Jun 2025 17:25:11 +0800

deepin-camera (6.5.22) unstable; urgency=medium

  * update version to 6.5.22.

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 23 Jun 2025 15:22:58 +0800

deepin-camera (6.5.21) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 14:19:24 +0800
