=== debian/changelog ===
deepin-camera (6.5.28) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 18:00:02 +0800

deepin-camera (6.5.27) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:30:46 +0800

deepin-camera (6.5.26) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 16:10:28 +0800

deepin-camera (6.5.25) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 11:13:23 +0800

deepin-camera (6.5.24) unstable; urgency=medium

  * Update version to 6.5.24.

 -- Tian ShiLin <tianshilin@uniontech.com>   Fri, 27 Jun 2025 17:19:24 +0800
