## deepin-camera 6.5.31

=== debian/changelog ===
deepin-camera (6.5.31) unstable; urgency=medium

  * chore: Update desktop file translations

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 14:15:42 +0800

deepin-camera (6.5.30) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 19:55:41 +0800

deepin-camera (6.5.29) unstable; urgency=medium

  * chore: Update package URLs in linglong.yaml files for all architectures

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 05 Aug 2025 20:45:37 +0800
